Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454529 - New case notification includes incorrect type and text
Summary: New case notification includes incorrect type and text
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Notifications
Version: 1.3.9
Hardware: All
OS: All
medium
high
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 21:37 UTC by Mike Amburn
Modified: 2009-02-09 20:35 UTC (History)
2 users (show)

Fixed In Version: MR8-CSP
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-30 20:44:07 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-08 21:37:54 UTC
This is in create case in the csp. Class is CaseManagementBean.java

per chat:
(11:56:13 AM) lmewshaw: in csp, when it creates a case, I'm seeing in the notifcation that that the status is ""Issue Registered"" but CSP seems to display that as ""New"" is it translating Issue Registered -> New ?
(12:03:49 PM) nlugert: lmewshaw no
(12:03:59 PM) nlugert: there is a flag on events 1,2,4,5 etc.
(12:04:06 PM) nlugert: 1 is events
(12:04:25 PM) nlugert: and I-T i believe sets ""Issue Registered"" as an event type 1
(12:04:35 PM) nlugert: errr, 1 is status change
(12:05:17 PM) fjm: event.setAction(""Issue Registered (Severity: "" + ticket.getSeverity() + "")"");
(12:05:29 PM) lmewshaw: i brought this up because i see in the technician notificatoin a notification that the status is Issue Registered
(12:05:38 PM) lmewshaw: it's the text - that's not actually a status
(12:05:54 PM) nlugert: but we must set the event type to status type
(12:06:06 PM) nlugert: should be comment type
(12:06:26 PM) nlugert: in the events table there is a type column
(12:06:41 PM) nlugert: with values like: 1 - status change, 2 comment, 3 attachment etc.
(12:06:53 PM) nlugert: so it's being set to type 1
(12:07:10 PM) nlugert: maybe should be comment type
(12:08:16 PM) fjm: event.setType(EventDAO.STATE_CHANGE_TYPE);
(12:08:19 PM) fjm: that's what it is now
(12:08:44 PM) nlugert: yep
(12:08:51 PM) nlugert: which is status type
(12:09:05 PM) lmewshaw: here's an example notification:
(12:09:06 PM) lmewshaw: New events have been added to your case frank teset hibernate 177363
(12:09:06 PM) lmewshaw: https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=177363
(12:09:06 PM) lmewshaw: Status Change: Wed Jan 14 19:06:50 EST 1970 EST
(12:09:06 PM) lmewshaw: Issue Registered (Severity: 1)
(12:09:31 PM) nlugert: i thought I-T was doing that :)
(12:09:42 PM) lmewshaw: it is
(12:09:42 PM) nlugert: the customer won't get that, only the tech
(12:09:48 PM) lmewshaw: there's a status called ""Registered""
(12:09:53 PM) lmewshaw: that's what confused me
(12:10:00 PM) lmewshaw: Status with statusID=1 is ""Registered""
(12:10:17 PM) lmewshaw: It's one of the GSS standard statuses
(12:15:44 PM) lmewshaw: change 05/07/08 6:38:29 AM EDT - John Sanda status change:
(12:15:44 PM) lmewshaw: Issue Registered (Severity: 4) to 05/07/08 6:38:29 AM EDT - John Sanda issue created:
(12:15:44 PM) lmewshaw: Issue Created (Severity: 4)
(12:16:11 PM) lmewshaw: change ""status change"" to ""issue created""
(12:16:21 PM) lmewshaw: and change ""Issue Registered"" to 'Issue Created

----
Data relocated from Jira (JBNET-2330)

Comment 1 Frank Merenda 2008-09-02 19:20:28 UTC
This is in create case in the csp. Class is CaseManagementBean.java

change this:
event.setAction(""Issue Registered (Severity: "" + ticket.getSeverity() + "")"");

to:
"Issue Created"

and change:

 event.setType(EventDAO.STATE_CHANGE_TYPE);

to whatever the event type is for "issue created" on new case

Comment 2 Nathan Lugert 2009-02-09 20:35:48 UTC
Changed:
event.setAction("Issue Registered (Severity: " + ticket.getSeverity()")");

To:
event.setAction("Issue Created (Severity: " + ticket.getSeverity() + ")");

Per Lee Mewshaws' instructions.


Note You need to log in before you can comment on or make changes to this bug.